### Hierarchy

- IServiceDef

## Index

### Properties

- for
- id
- mockOrInject
- scope

## Properties

### Optional for

for: any

- Defined in src/di/Register.ts:8

### Optional id

id: string

- Defined in src/di/Register.ts:6

### Optional mockOrInject

mockOrInject: IMockOrInject

- Defined in src/di/Register.ts:9

### scope

scope: Scope

- Defined in src/di/Register.ts:7

Generated using TypeDoc